<div class="col-md-12">
    <hr>
    <h1>{{titulo}}</h1>
    <hr>

    <div class="=alert alert-success" *ngIf="status == 'success'">
        Datos básicos de tu nuevo video <strong>{{video.title}}</strong> guardados,
        ahora agrega una imagen y un video!!
    </div>

    <div class="=alert alert-danger" *ngIf="status == 'error'">
        Datos no guardados
    </div>

    <form (ngSubmit)="onSubmit()" class="col-md-4" *ngIf="status != 'success'">
        <p>
            Paso 1 de 3. Agrega la información básica de tu video.
        </p>
        <p>
            <label>Título:</label>
            <input type="text" class="form-control" ngControl="title" name="title" #title="ngModel" 
            [(ngModel)]="video.title" required/>
            <span [hidden]="title.valid || title.pristine">
                El titulo no es correcto
            </span>
        </p>
        <p>
            <label>Descripción:</label>
            <textarea type="text" class="form-control" name="description" #description="ngModel" 
            [(ngModel)]="video.description"></textarea>
        </p>
        <p>
            <label>Estado:</label>
            <select class="form-control" (change)="callVideoStatus(videostatus.value)" 
            #videostatus>
                <option value="public" [attr.selected]="video.status === 'public' ? 'selected' : null">Público</option>
                <option value="private" [attr.selected]="video.status === 'private' ? 'selected' : null">Privado</option>
            </select>
        </p>
        <input type="submit" value="Crear video" class="btn btn-success" />
    </form>

    <div class="col-md-4" *ngIf="status == 'success' && uploadedImage == false">
        <h4>Imagen del video</h4>
        <p>Paso 2 de 3. Sube la imagen del video</p>
        <p>
            <input type="file" placeholder="Subir imagen..." (change)="fileChangeEventImage($event)" />
        </p>
        <div class="progress">
            <div id="upload-progress-bar" 
            class="progress-bar progress-bar-success"
            role="progressbar"
            aria-valuenow="0"
            aria-valuemin="0"
            aria-valuemax="100"
            style="width: 0%"></div>
        </div>
        <p id="status"></p>
    </div>
</div>


    